A rooted device is required!

This is an extension for Automate. Why an extension? Please read:
http://llamalab.com/automate/doc/security.html

From version Automate superuser permissions 1.2.3:

Additional permission included

All versions